★ TouchArcade needs your help. Click here to support us on Patreon.

App for Phone, iPod touch, and iPad. Requires iOS 6.0 or later

06-28-2013, 02:21 AM
#1
Joined: Jun 2013
Posts: 4
App for Phone, iPod touch, and iPad. Requires iOS 6.0 or later

I am here to talk about a app which is compatible with Phone, iPod touch, and iPad. Requires iOS 6.0 or later and its name is Babberly and its quite impressive because its tell me where to go and find the popular places near me.
I recommend you to must download it if you have an iphone etc.

here is the link https://itunes.apple.com/us/app/babberly/id533082576?mt=8